Subject: bug#47896: 27.2; TRAMP hang/lockup/fault on compile/file access

From: dag <[email-masked]>
Date: Fri, 23 Apr 2021 10:58:00 -0500

On 2021-04-22 14:18, Michael Albinus <[email-masked]> wrote: > > What you could try is Tramp 2.5.0.3 from GNU ELPA. There are some fixes > in the context of remote compilation; maybe it helps you. What is the correct way to do that with use-package/straight.el to override the built-in TRAMP? I have this: (use-package tramp :straight t :config ;;(setq tramp-verbose 6) (setq tramp-default-method "ssh") ;;(setq tramp-shell-prompt-pattern "\\(?:^\\|\r\\)[^]#$%>\n]*#?[]#$%>].* *\\(^[\\[[0-9;]*[a-zA-Z] *\\)*") (setq vc-ignore-dir-regexp (format "\\(%s\\)\\|\\(%s\\)" vc-ignore-dir-regexp tramp-file-name-regexp)) ;; Honor remote PATH. (add-to-list 'tramp-remote-path 'tramp-own-remote-path) ;; Allow ssh connections to persist. ;; ;; This seems to maybe cause tramp to hang a lot. (customize-set-variable 'tramp-use-ssh-controlmaster-options nil) ;; (customize-set-variable 'tramp-use-ssh-controlmaster-options t) (if (eq window-system 'w32) ;(setq tramp-default-method "ssh") (setq tramp-d

efault-method "scp") ;(setq tramp-default-method "scpx") (setq tramp-default-method "ssh")) ;;(setq tramp-default-method "ssh") ;;(tramp-change-syntax 'simplified) ;;(setq tramp-verbose 10) (autoload #'tramp-register-crypt-file-name-handler "tramp-crypt") ) The autoload I got from here to solve the tramp-crypt error: https://www.reddit.com/r/emacs/comments/l2lw7o/tramp_blocking_emacs/ Even so, tramp-version reports 2.4.5.27.2. I verified the package straight.el downloaded is 2.5.0.3. David